package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConfTotemVentaRapidaDAO;
import com.rjconsultores.ventaboletos.entidad.ConfTotemVentaRapida;
import com.rjconsultores.ventaboletos.entidad.Parada;

/**
 * 
 * @author Wallace
 */
@Repository("ConfTotemVentaRapidaDAO")
public class ConfTotemVentaRapidaHibernateDAO extends GenericHibernateDAO<ConfTotemVentaRapida, Integer> implements ConfTotemVentaRapidaDAO {

	@Autowired
	public ConfTotemVentaRapidaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public ConfTotemVentaRapida buscarOrigemDestino(Parada origem, Parada destino) {

		Criteria c = this.makeCriteria();
		c.add(Restrictions.eq("origen", origem));
		c.add(Restrictions.eq("destino", destino));
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return (ConfTotemVentaRapida) c.uniqueResult();
	}

	@Override
	public List<ConfTotemVentaRapida> buscarOrigem(Parada origem) {

		Criteria c = this.makeCriteria();
		c.add(Restrictions.eq("origen", origem));
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.list();
	}
}